Bug 98415 - Vulkan Driver JSON file contains incorrect field
Summary: Vulkan Driver JSON file contains incorrect field
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: 12.0
Hardware: All All
: medium normal
Assignee: Matt Turner
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-24 17:16 UTC by Mark Young
Modified: 2016-10-25 19:56 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Young 2016-10-24 17:16:14 UTC
The Vulkan Driver JSON files in Mesa contain the field "abi_version" which should correctly be labeled "api_version".

This is not currently causing a problem, but could at some point when the next version of Vulkan were to come out and the Vulkan loader started paying attention to these fields.
Comment 1 Matt Turner 2016-10-25 18:50:19 UTC
Weird.

I indeed see that the documentation (https://vulkan.lunarg.com/doc/view/1.0.21.0/windows/LoaderAndLayerInterface.html) says "api_version" but I also see this mistake appearing in other drivers (https://community.amd.com/thread/197149). Not quite sure what happened.

Regardless I'll send a patch.
Comment 2 Mark Young 2016-10-25 19:11:34 UTC
I believe this field changed from "abi_version" to "api_version" during the development of Vulkan 1.0.
Comment 3 Matt Turner 2016-10-25 19:56:55 UTC
Pushed as

commit 07755237d36754cb44c32e17e32cf1bc551d2373
Author: Matt Turner <mattst88@gmail.com>
Date:   Tue Oct 25 11:44:43 2016 -0700

    anv: Replace "abi_versions" with correct "api_version".

commit 14aac061e92fe57d1ee61843c1ccd1b275d8ca76
Author: Matt Turner <mattst88@gmail.com>
Date:   Tue Oct 25 11:49:33 2016 -0700

    radv: Replace "abi_versions" with correct "api_version".

Thanks for the heads up.


bug/show.html.tmpl processed on Jan 17, 2017 at 08:47:50.
(provided by the Example extension).